
QGIS Application - Bug report #17607

Some GRASS 7 tools return an error when opening QGIS master

2017-12-03 08:05 AM - James Passmore

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/GRASS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 25504

Description

When opening QGIS I get the following critical messages: 

2017-12-03T06:57:45    CRITICAL    Could not open GRASS GIS 7 algorithm:

/usr/share/qgis/python/plugins/processing/algs/grass7/description/r.sim.sediment.txt

            QgsProcessingParameterVectorLayer|observation|Sampling locations vector points|None|True

    2017-12-03T06:57:45    CRITICAL    Could not open GRASS GIS 7 algorithm: r.sim.sediment.txt

            'NoneType' object has no attribute 'split'

    2017-12-03T06:57:45    CRITICAL    Could not open GRASS GIS 7 algorithm:

/usr/share/qgis/python/plugins/processing/algs/grass7/description/r.sim.water.txt

            QgsProcessingParameterVectorLayer|observation|Sampling locations vector points|None|True

    2017-12-03T06:57:45    CRITICAL    Could not open GRASS GIS 7 algorithm: r.sim.water.txt

            'NoneType' object has no attribute 'split'

The files themselves exist.

===

QGIS version

2.99.0-Master

QGIS code revision

19b062c

History

#1 - 2017-12-03 11:20 AM - Giovanni Manghi

- Operating System deleted (Linux Mint 18.1 Serena (4.4.0-101-generic))

- Subject changed from Critical warning about GRASS 7 in Processing on opening QGIS to Some GRASS 7 tools return an error when opening QGIS 

master

#2 - 2017-12-26 06:58 PM - Alexander Bruy

- Status changed from Open to Feedback

Processing GRASS provider is not completely ready yet. Please try latest master

#3 - 2018-01-17 07:11 PM - Alexander Bruy

- Resolution set to worksforme

- Status changed from Feedback to Closed
Works fine in master. Please reopen if necessary.
